Package org.springframework.security.core

# Class SpringSecurityMessageSource

java.lang.Object
org.springframework.context.support.MessageSourceSupport
org.springframework.context.support.AbstractMessageSource
org.springframework.context.support.AbstractResourceBasedMessageSource
org.springframework.context.support.ResourceBundleMessageSource
org.springframework.security.core.SpringSecurityMessageSource

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanClassLoaderAware`, `org.springframework.context.HierarchicalMessageSource`, `org.springframework.context.MessageSource`

public class SpringSecurityMessageSource extends org.springframework.context.support.ResourceBundleMessageSource
The default `MessageSource` used by Spring Security.

All Spring Security classes requiring message localization will by default use this class. However, all such classes will also implement `MessageSourceAware` so that the application context can inject an alternative message source. Therefore this class is only used when the deployment environment has not specified an alternative message source.

## Field Summary

### Fields inherited from class org.springframework.context.support.MessageSourceSupport

`logger`

## Constructor Summary

Constructors
Constructor
Description
`SpringSecurityMessageSource()`

## Method Summary

Modifier and Type
Method
Description
`static org.springframework.context.support.MessageSourceAccessor`
`getAccessor()`

### Methods inherited from class org.springframework.context.support.ResourceBundleMessageSource

`doGetBundle, getBundleClassLoader, getMessageFormat, getResourceBundle, getStringOrNull, loadBundle, loadBundle, resolveCode, resolveCodeWithoutArguments, setBeanClassLoader, setBundleClassLoader, toString`

### Methods inherited from class org.springframework.context.support.AbstractResourceBasedMessageSource

`addBasenames, getBasenameSet, getCacheMillis, getDefaultEncoding, getDefaultLocale, isFallbackToSystemLocale, setBasename, setBasenames, setCacheMillis, setCacheSeconds, setDefaultEncoding, setDefaultLocale, setFallbackToSystemLocale`

### Methods inherited from class org.springframework.context.support.AbstractMessageSource

`getCommonMessages, getDefaultMessage, getDefaultMessage, getMessage, getMessage, getMessage, getMessageFromParent, getMessageInternal, getParentMessageSource, isUseCodeAsDefaultMessage, resolveArguments, setCommonMessages, setParentMessageSource, setUseCodeAsDefaultMessage`

### Methods inherited from class org.springframework.context.support.MessageSourceSupport

`createMessageFormat, formatMessage, isAlwaysUseMessageFormat, renderDefaultMessage, setAlwaysUseMessageFormat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SpringSecurityMessageSource

public SpringSecurityMessageSource()

## Method Details

### getAccessor

public static org.springframework.context.support.MessageSourceAccessor getAccessor()